PUT /katello/api/alternate_content_sources/209079975
{
"smart_proxy_names": [
"Pulp Primary Proxy"
],
"alternate_content_source": {
"smart_proxy_names": [
"Pulp Primary Proxy"
]
}
}
200
{
"name": "Yum ACS",
"alternate_content_source_type": "custom",
"content_type": "yum",
"base_url": "https://fixtures.pulpproject.org/",
"subpaths": [
"content/",
"isos/",
"packages/"
],
"deb_releases": null,
"deb_components": null,
"deb_architectures": null,
"upstream_username": "admin",
"smart_proxies": [],
"verify_ssl": true,
"use_http_proxies": null,
"id": 209079975,
"label": "yum_acs_fixture",
"description": null,
"ssl_ca_cert": {
"id": 948279029,
"name": "Real CA Certificate"
},
"ssl_client_cert": {
"id": 621641280,
"name": "Real Certificate"
},
"ssl_client_key": {
"id": 722207034,
"name": "Real Private Key"
},
"last_refresh": null,
"upstream_password_exists": true
}
| Param name | Description |
|---|---|
|
name
optional |
Name of the alternate content source Validations:
|
|
description
optional |
Description for the alternate content source Validations:
|
|
base_url
optional |
Base URL for finding alternate content Validations:
|
|
subpaths
optional |
Path suffixes for finding alternate content Validations:
|
|
deb_releases
optional |
Debian releases/distributions (e.g., trixie, bookworm) Validations:
|
|
deb_components
optional |
Debian components (e.g., main, contrib) Validations:
|
|
deb_architectures
optional |
Debian architectures (e.g., amd64, arm64) Validations:
|
|
smart_proxy_ids
optional |
Ids of smart proxies to associate Validations:
|
|
smart_proxy_names
optional |
Names of smart proxies to associate Validations:
|
|
upstream_username
optional |
Basic authentication username Validations:
|
|
upstream_password
optional |
Basic authentication password Validations:
|
|
ssl_ca_cert_id
optional |
Identifier of the content credential containing the SSL CA Cert Validations:
|
|
ssl_client_cert_id
optional |
Identifier of the content credential containing the SSL Client Cert Validations:
|
|
ssl_client_key_id
optional |
Identifier of the content credential containing the SSL Client Key Validations:
|
|
verify_ssl
optional |
If SSL should be verified for the upstream URL Validations:
|
|
use_http_proxies
optional |
If the smart proxies’ assigned HTTP proxies should be used Validations:
|
|
product_ids
optional |
IDs of products to copy repository information from into a Simplified Alternate Content Source. Products must include at least one repository of the chosen content type. Validations:
|
|
id
required |
Alternate content source ID Validations:
|